<?php

namespace Drupal\Tests\inline_translation\Functional;

use Drupal\Tests\node\Functional\NodeTranslationUITest;

/**
 * Tests the Inline Translation UI.
 *
 * @group inline_translation
 */
class InlineTranslationNodeUITest extends NodeTranslationUITest {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['inline_translation'];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    $this->entityTypeId = 'node';
    $this->bundle = 'article';
    parent::setUp();

    // Ensure the help message is shown even with prefixed paths.
    $this->drupalPlaceBlock('help_block', ['region' => 'content']);

    // Display the language selector.
    $this->drupalLogin($this->administrator);
    $edit = ['language_configuration[language_alterable]' => TRUE];
    $this->drupalPostForm('admin/structure/types/manage/article', $edit, 'Save content type');
    $this->drupalLogin($this->translator);
  }

  /**
   * Tests the basic translation UI.
   */
  public function testTranslationUi() {
    parent::testTranslationUI();
    $this->doUninstallTest();
  }

}
